/******************************************************************************
 *
 *                Copyright (c) 2017-2019 by Löwenware Ltd
 *             Please, refer LICENSE file for legal information
 *
 ******************************************************************************/

/**
 * @file main.c
 * @author Ilja Kartašov <ik@lowenware.com>
 * @brief 
 *
 * @see https://lowenware.com/
 */

#include <leos/log.h>
#include <leos/arch.h>
#include <leos/irq.h>
#include <leos/timer.h>
#include <leos/leos.h>


void
Leos_run(void)
{
	Log_init();

	Log_putS("Starting Lowe OS (EL");
	Log_putI(AArch64_getEL(), 10);
	Log_putS(")\r\n");

	Arch_init();

	Timer_init();
	IRQ_init();
	IRQ_enable();

	for (;;) {
		__asm__("WFE");
	}
}

